
/***************************************************
 Mt_Script Multlingual Text Editor
 mtscript_1.1

 Copyright (c) 1996
 CNRS France
 All rights reserved
 March 1996

                       Authors:
                       --------
 Stephane HARIE                     Malek BOUALEM
 Multilingual text editor           Multilingual writing systems
 E-mail: harie@lpl.univ-aix.fr      E-mail: malek@lpl.univ-aix.fr

                    Collaborators:
                    --------------
 Jean VERONIS
 E-mail: veronis@univ-aix.fr

 LRE - MULTEXT Project (1994-1996)
 Laboratoire Parole et Langage - CNRS
 Aix-En-Provence, France
 Tel: (33) 42 95 36 27
 Fax: (33) 42 59 50 96
 E-mail: multext@lpl.univ-aix.fr
***************************************************/
  

/* Dutch.rules
***************/

E1={39}			/* acute or apostrophe ' */
E2={96}			/* grave ` */

E4={34}			/* diaeresis " */

E10={97}		/* a */
E11={65}		/* A */
E12={101}		/* e */
E13={69}		/* E */
E16={111}		/* o */
E17={79}		/* O */

E32={224}		/*  */
E33={192}		/*  */
E34={228}		/*  */
E35={196}		/*  */

E40={233}		/*  */
E41={201}		/*  */
E42={232}		/*  */
E43={200}		/*  */
E46={235}		/*  */
E47={203}		/*  */

E48={243}		/*  */
E49={211}		/*  */

E100={
	32-33,35-38,40-64,66-68,70-78,80-95,98-100,
	102-110,112-126,161-191,193-195,
	197-199,202,204-210,212-223,225-227,229-231,
	234,236-242,244-255
	}

E101={0-7,9-31,128-159}

E110={8}					/* backspace */
E111={127}				/* delete */
E112={160}				/* accentuation filter*/

%%RULES

E*,E*:0,"b";			/* non particular characters: inchanged */

E*,E110:-1,"";		/* backspace */
E*,E111:1,"";			/* delete */

E112,E112:0,"";
E112,E*:-1,"b";
E112,E110:-1,"";
E112,E111:1,"";

E12,E1:-1,"C233";	/* e,E acute */
E13,E1:-1,"C201";
E12,E2:-1,"C232";	/* e,E grave */
E13,E2:-1,"C200";
E12,E4:-1,"C235";	/* e,E dieresis */
E13,E4:-1,"C203";

E40,E110:-1,"C101";	/* backspace on e,E accentuated */
E41,E110:-1,"C69";
E42,E110:-1,"C101";
E43,E110:-1,"C69";
E46,E110:-1,"C101";
E47,E110:-1,"C69";

E10,E2:-1,"C224";	/* a,A grave */
E11,E2:-1,"C192";

E10,E4:-1,"C228";	/* a,A dieresis */
E11,E4:-1,"C196";

E32,E110:-1,"C97";	/* backspace on a,A accentuated */
E33,E110:-1,"C65";
E34,E110:-1,"C97";
E35,E110:-1,"C65";

E16,E1:-1,"C243";	/* o,O acute */
E17,E1:-1,"C211";
E48,E110:-1,"C111";	/* backspace on o,O accentuated */
E49,E110:-1,"C79";

%%END
